Hermos API

List Prices

Lists catalog-scope prices in the selected company and mode, ordered by plan_id, id. Optionally filter by plan or product; supplying both returns 400 invalid_request.

GET/prices

Lists catalog-scope prices in the selected company and mode, ordered by plan_id, id. Optionally filter by plan or product; supplying both returns 400 invalid_request.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

plan?string
Length1 <= length
product?string
Length1 <= length

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/prices"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "livemode": true,      "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",      "scope": "catalog",      "slot": "string",      "fingerprint": "string",      "revision_of_price_id": "c501c243-78bd-44f5-95af-3c25aed17bcd",      "pending_slot": "string",      "component": "string",      "label": "current",      "status": "pending",      "terms": {        "type": "one_time",        "unit_amount": 0,        "unit_amount_decimal": 0,        "custom_unit_amount": {          "minimum": 0,          "maximum": 0,          "preset": 0        },        "currency": "string",        "interval": "day",        "interval_count": 1,        "usage_type": "licensed",        "billing_scheme": "per_unit",        "tiers": [          {            "up_to": 0,            "unit_amount": 0,            "unit_amount_decimal": 0,            "flat_amount": 0,            "flat_amount_decimal": 0          }        ],        "tiers_mode": "graduated",        "transform_quantity": {          "divide_by": 2,          "round": "up"        },        "meter": "string",        "tax_behavior": "inclusive",        "currency_options": {          "property1": {            "unit_amount": 0,            "unit_amount_decimal": 0,            "custom_unit_amount": {              "minimum": 0,              "maximum": 0,              "preset": 0            },            "tax_behavior": "inclusive",            "tiers": [              {                "up_to": 0,                "unit_amount": 0,                "unit_amount_decimal": 0,                "flat_amount": 0,                "flat_amount_decimal": 0              }            ]          },          "property2": {            "unit_amount": 0,            "unit_amount_decimal": 0,            "custom_unit_amount": {              "minimum": 0,              "maximum": 0,              "preset": 0            },            "tax_behavior": "inclusive",            "tiers": [              {                "up_to": 0,                "unit_amount": 0,                "unit_amount_decimal": 0,                "flat_amount": 0,                "flat_amount_decimal": 0              }            ]          }        },        "hermos": {          "component": "string",          "component_kind": "flat",          "installments_total": 2,          "pwyw_minimum_amount": 0,          "usage_percent_of_reported": 0,          "usage_free_threshold": 0,          "billing_anchor_day": 1,          "billing_anchor_month": 1,          "first_period_mode": "part_month_now",          "access_term": "string",          "trial_usage_pricing": "free",          "trial_usage_discount_percent": 0        },        "unsupported": {          "property1": null,          "property2": null        }      },      "hydrated": true,      "quantity_enabled": true,      "quantity_min": 0,      "quantity_max": 0,      "access_starts_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}